//==============================================================================
//File name:    "main.cpp"
//Processor:    CC2540 (TI)
//Toolkit:      EW8051 (IAR Systems)
//Purpose:      Main Source File
//Version:      1.00
//==============================================================================
#include <scmRTOS.h>
#include "startup.h"

//---------------------------------------------------------
//Global variables:
//---------------------------------------------------------
unsigned int System_Timer;
  
//---------------------------------------------------------
//OS Event Flags:
//---------------------------------------------------------
//Launch Record Data to EEPROM
//extern OS::TEventFlag flag_EEPROM_Write; 

//---------------------------------------------------------
//OS Semaphores: (Mutual Exclusion)
//---------------------------------------------------------
//OS::TMutex mutex_LOCAL_TIME; 

//---------------------------------------------------------
//OS Data transfer channels:
//---------------------------------------------------------
//OS::channel <Command_struct, 4> channel_CMD;

//---------------------------------------------------------
//OS Message Objects:
//---------------------------------------------------------
//OS::message <unsigned char> msg_MOBnumber;

//------------------------------------------------------------------------------
//RTOS Operation system Main task
//------------------------------------------------------------------------------
__task main(void)
{
  //Initialisation
  System_StartUp();
    
  //Launch Operation system 
  OS::run(); 
}

//------------------------------------------------------------------------------
//System reside in area this function, If don`t execute any process
//For any handlers, executed in the "free time"
//------------------------------------------------------------------------------
void OS::idle_process_user_hook() 
{ 

}

//------------------------------------------------------------------------------
//System always call this function after event "system timer interrupt" 
//Must be Enabled SystemTimer User Hook!
//------------------------------------------------------------------------------
void OS::system_timer_user_hook() 
{
  //Increment system time
  System_Timer++;
}
